Debian Bug report logs - #386561
lynx-cur: BACK fooled by previously encountered anchors

version graph

Package: lynx-cur-wrapper; Maintainer for lynx-cur-wrapper is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur-wrapper is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Fri, 8 Sep 2006 14:03:32 UTC

Severity: normal

Found in version lynx-cur/2.8.6dev18-2.1

Fixed in version lynx-cur/2.8.6pre3-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#386561; Package lynx-cur-wrapper. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
Subject: lynx-cur: BACK fooled by previously encountered anchors
Date: Fri, 08 Sep 2006 19:41:30 +0800
Package: lynx-cur-wrapper
Version: 2.8.6dev18-2.1
Severity: normal
File: /usr/bin/lynx-cur

Browse e.g.,
     http://en.wikipedia.org/wiki/DOM_Events
tab down to link "navigation", i.e.,
     http://en.wikipedia.org/wiki/DOM_Events#column-one
and press enter.

Then tab down to e.g., "current events" link and press "=".
Now press left arrow. Notice we are not returned to the "current
events" link, but instead to where we were after we chose the
"navigation" link.

This wouldn't have happened if we had not chose the "navigation" link.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#386561; Package lynx-cur-wrapper. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 386561@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Dan Jacobson <jidanni@jidanni.org>, 386561@bugs.debian.org
Subject: Re: Bug#386561: lynx-cur: BACK fooled by previously encountered anchors
Date: Fri, 8 Sep 2006 21:00:42 -0400
[Message part 1 (text/plain, inline)]
On Fri, Sep 08, 2006 at 04:20:12PM +0200, Dan Jacobson wrote:
> Package: lynx-cur-wrapper
> Version: 2.8.6dev18-2.1
> Severity: normal
> File: /usr/bin/lynx-cur
> 
> Browse e.g.,
>      http://en.wikipedia.org/wiki/DOM_Events
> tab down to link "navigation", i.e.,
>      http://en.wikipedia.org/wiki/DOM_Events#column-one
> and press enter.
> 
> Then tab down to e.g., "current events" link and press "=".

thanks - the "=" is a case that I overlooked in fixes for dev.19

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 386561-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 386561-close@bugs.debian.org
Subject: Bug#386561: fixed in lynx-cur 2.8.6pre3-1
Date: Mon, 11 Sep 2006 05:32:59 -0700
Source: lynx-cur
Source-Version: 2.8.6pre3-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6pre3-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6pre3-1_all.deb
lynx-cur_2.8.6pre3-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre3-1.diff.gz
lynx-cur_2.8.6pre3-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre3-1.dsc
lynx-cur_2.8.6pre3-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre3-1_i386.deb
lynx-cur_2.8.6pre3.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 11 Sep 2006 20:28:52 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6pre3-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 386561
Changes: 
 lynx-cur (2.8.6pre3-1) unstable; urgency=low
 .
   * New Upstream Release.
   - if the side-effect of getfile() is unneeded, we restore the link number
     as well as the line number (Closes: #386561)
Files: 
 8a1d88e69327aa4166ef3af40226f757 672 web extra lynx-cur_2.8.6pre3-1.dsc
 66348b4094939504fe120d7c9be65851 3180120 web extra lynx-cur_2.8.6pre3.orig.tar.gz
 5fb1d90ed689b8e9c1270c8a3f0bb0dc 25885 web extra lynx-cur_2.8.6pre3-1.diff.gz
 5086f7d5d9b072e5aa4a795a50e81c1c 14090 web extra lynx-cur-wrapper_2.8.6pre3-1_all.deb
 a4fe032f67d78b9aa3f2c82c9427757f 1963288 web extra lynx-cur_2.8.6pre3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFBVJo1IXdL1v6kOwRAnagAJ9Nq1P0KFsiScCfkWg2L/3QlwG+BgCePKMi
ZI0FxyObwmyjNMDElgCWk3E=
=9v+D
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 03:46:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:01:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.